import { env } from '@extollo/lib'

export interface ColorPalette {
    displayName: string
    background: string
    textVariant: 'light' | 'dark'
    backgroundOffset: string
    backgroundOffset2: string
    hero: string
    font: string
    fontMuted: string
    box: string
    link: string
    noiseSize: string
    line1: string
    line2: string
    line3: string
    highlightTheme: string
}

export default {
    name: env('APP_NAME', 'Garrett Mills'),

    analytics: {
        optOutCookie: env('ANALYTICS_OPT_OUT_COOKIE', 'analytics.opt-out'),
    },

    colors: {
        lostInTheStars: {
            displayName: "Lost in the Stars",
            textVariant: 'light',
            background: '#4a113c',
            backgroundOffset: 'rgba(178, 127, 170, 0.1)',
            backgroundOffset2: 'rgba(178, 127, 170, 0.2)',
            hero: '#6ebbd5',
            font: '#ffe3ff',
            fontMuted: '#daa7d2',
            box: '#b27faa',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: 'rgba(178, 127, 170, 0.2)',
            line2: 'rgba(110, 187, 213, 0.9)',
            line3: 'rgba(218, 167, 210, 0.9)',
            highlightTheme: 'base16/atelier-cave',
        },
        tanOrangeAndRed: {
            displayName: "Tan, Orange, & Red",
            textVariant: 'dark',
            background: '#f8e4bf',
            backgroundOffset: 'rgb(243, 210, 147, 0.4)',
            backgroundOffset2: 'rgb(111, 71, 46, 0.15)',
            hero: '#d96a59',
            font: '#6f472e',
            fontMuted: '#ae7813',
            box: '#e0b95d',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#edb34f',
            line2: '#f88937',
            line3: '#e86c36',
            highlightTheme: 'base16/atelier-dune-light',
        },
        blueAndTan: {
            displayName: "Blue & Tan",
            textVariant: 'light',
            background: '#052653',
            backgroundOffset: 'rgba(27, 111, 145, 0.3)',
            backgroundOffset2: 'rgba(127, 167, 158, 0.15)',
            hero: '#f6a56d',
            font: '#f6dbb0',
            fontMuted: '#dec99a',
            box: '#87afa6',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#fbad6f',
            line2: '#f47139',
            line3: '#de381e',
            highlightTheme: 'base16/equilibrium-dark',
        },
        teals: {
            displayName: "Teals",
            textVariant: 'dark',
            background: '#c6c2b9',
            backgroundOffset: 'rgba(150, 171, 162, 0.3)',
            backgroundOffset2: 'rgba(150, 171, 162, 0.7)',
            hero: '#d05a40',
            font: '#3f4962',
            fontMuted: '#5d6780',
            box: '#96aba2',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#dcbb8e',
            line2: '#95aaa3',
            line3: '#3f4962',
            highlightTheme: 'base16/edge-light',
        },
        redAndGold: {
            displayName: "Red & Gold",
            textVariant: 'light',
            background: '#510c00',
            backgroundOffset: 'rgba(111, 42, 30, 0.4)',
            backgroundOffset2: 'rgba(111, 42, 30, 1)',
            hero: '#ee6156',
            font: '#f2d7b4',
            fontMuted: '#cb9866',
            box: '#e9b1a0',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#e9c8a0',
            line2: '#f6bb4a',
            line3: '#ef4c3f',
            highlightTheme: 'base16/chalk',
        },
        /*mashGreen: {
            displayName: "M*A*S*H Green",
            textVariant: 'light',
            background: '#202318',
            backgroundOffset: 'rgba(46, 41, 22, 0.5)',
            backgroundOffset2: 'rgb(105, 75, 1, 0.3)',
            hero: '#7a7946',
            font: '#e5ddae',
            fontMuted: '#cb9866',
            box: '#cbc87c',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#b5a148',
            line2: '#ecb653',
            line3: '#71490b',
            highlightTheme: 'base16/atelier-estuary',
        },*/
        purpleAndWhite: {
            displayName: "Purple & White",
            textVariant: 'light',
            background: '#6669aa',
            backgroundOffset: 'rgba(152, 155, 220, 0.4)',
            backgroundOffset2: 'rgba(81, 84, 143, 0.6)',
            hero: '#efe2df',
            font: '#fff4ed',
            fontMuted: '#b5b7ec',
            box: '#989bdc',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#979adb',
            line2: '#b3b5f1',
            line3: '#efe2df',
            highlightTheme: 'base16/atelier-cave-light',
        },
        americana: {
            displayName: "Americana",
            textVariant: 'dark',
            background: '#f6f4f3',
            backgroundOffset: 'rgba(120, 153, 185, 0.1)',
            backgroundOffset2: 'rgba(120, 153, 185, 0.2)',
            hero: '#17396e',
            font: '#af5b5b',
            fontMuted: '#276fbf',
            box: '#7899b9',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line3: '#af5b5b',
            line1: '#17396e',
            line2: '#276fbf',
            highlightTheme: 'base16/atelier-cave-light',
        },
        ubuntu: {
            displayName: "Ubuntu",
            textVariant: 'light',
            background: '#333333',
            backgroundOffset: 'rgba(51, 51, 51, 0.4)',
            backgroundOffset2: 'rgba(51, 51, 51, 0.6)',
            hero: '#e95420',
            font: '#ccc',
            fontMuted: '#aea79f',
            box: '#604358',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#56334B',
            line2: '#7E5273',
            line3: '#ED764D',
            highlightTheme: 'base16/atelier-cave-light',
        },
        mintMono: {
            displayName: "Mint Mono",
            textVariant: 'light',
            background: '#6b9080',
            backgroundOffset: 'rgba(164, 195, 178, 0.2)',
            backgroundOffset2: 'rgba(51, 51, 51, 0.6)',
            hero: '#eaf4f4',
            font: '#cce3de',
            fontMuted: '#a4c3b2',
            box: '#a4c3b2',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#a4c3b2',
            line2: '#cce3de',
            line3: '#f6fff8',
            highlightTheme: 'base16/atelier-cave-light',
        },
        abyss: {
            displayName: "Abyss",
            textVariant: 'light',
            background: '#010A19',
            backgroundOffset: 'rgba(1, 10, 25, 0.2)',
            backgroundOffset2: 'rgba(1, 10, 25, 0.6)',
            hero: '#6c7a96',
            font: '#afbed3',
            fontMuted: '#8391a7',
            box: '#061021',
            link: '#8391a7',
            noiseSize: '100px',
            line1: '#19253b',
            line2: '#0b1629',
            line3: '#061021',
            highlightTheme: 'base16/atelier-cave-light',
        },
        blackIsBack: {
            displayName: 'Black Is The New Black',
            textVariant: 'dark',
            background: '#e4e4e4',
            backgroundOffset: 'rgba(188, 188, 188, 0.2)',
            backgroundOffset2: 'rgba(188, 188, 188, 0.6)',
            hero: '#111',
            font: '#4c4c4c',
            fontMuted: '#4c4c4c',
            box: '#111',
            link: '#111',
            noiseSize: '100px',
            line1: '#333',
            line2: '#222',
            line3: '#111',
            highlightTheme: 'base16/atelier-cave-light',
        },
        /*noir: {
            displayName: "Noir",
            textVariant: 'light',
            background: '#2a333f',
            backgroundOffset: 'rgba(56, 53, 60, 0.3)',
            backgroundOffset2: 'rgb(45, 80, 96, 0.2)',
            hero: '#5c3d51',
            font: '#7297a8',
            fontMuted: '#557988',
            box: '#c3984f',
            link: 'var(--c-box)',
            noiseSize: '100px',
            line1: '#c3984f',
            line2: '#2d5060',
            line3: '#5c3d51',
            highlightTheme: 'base16/atelier-estuary',
        },*/
        oceanBreeze: {
            displayName: "Ocean Breeze",
            textVariant: 'dark',
            background: '#d3f6f3',
            backgroundOffset: 'rgba(103, 191, 179, 0.2)',
            backgroundOffset2: 'rgba(103, 191, 179, 0.4)',
            hero: '#0a97b0',
            font: '#0b3c5d',
            fontMuted: '#68829e',
            box: '#67bfb3',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#5c97bc',
            line2: '#0a97b0',
            line3: '#0b3c5d',
            highlightTheme: 'base16/atlantic-light',
        },
        sunnyMeadow: {
            displayName: "Sunny Meadow",
            textVariant: 'dark',
            background: '#edf2f4',
            backgroundOffset: 'rgba(237, 242, 244, 0.3)',
            backgroundOffset2: 'rgba(237, 242, 244, 0.6)',
            hero: '#8ac926',
            font: '#2b2d42',
            fontMuted: '#8d99ae',
            box: '#d3d3d3',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#a6a6a6',
            line2: '#8ac926',
            line3: '#2b2d42',
            highlightTheme: 'base16/canary-light',
        },
    } as Record<string, ColorPalette>,
}
